
0.78.313 Alpha, 19.08.1994

* font resource leakage fixed (tdieting)
* scroll keys do not scroll any more, if there are no scroll bars
  (tdieting)
* amadeus.ini file modified (german comments deleted) (tdieting)
* new html.dtd (tdieting)
* problem with starting hm-card presentations fixed (tdieting)


0.78.314 Alpha, 22.08.1994

* program abortion when accessing ftp/telnet/gopher out of
  a www document corrected (tdieting)
* amadeus.ini modified: external viewers require now at least an
  '$arg0' as parameter (e.g.: 'au=auplay.exe $arg0') (tdieting)

0.78.315 Alpha, 22.08.1994

* some bugs in the movie player fixed (memory leakages, 
  reentrance problems, ..) (tdieting)

0.78.316 Alpha, 22.08.1994

* copyright note in the About-Box added (tdieting)

0.79.001 Alpha, 22.08.1994

* major change: new command: File/New/Remote (Connection)
  (tdieting)
* style of attributes-info-dialog-box slightly changed
  (tdieting)

0.79.011 Alpha, 23.08.1994

* new command 'Search/Full text option' (tdieting)

0.79.015 Alpha, 23.08.1994

* new command 'Options/Viewer Options'
  (used for viewer specific configuration options, will
   be heavily extended in the future) (tdieting)

0.79.020 Alpha, 23.08.1994

* goto command extended: allows now to specifiy not only collection
  names, but also links with different protocols. (tdieting)
  The format is: <protocol>://<host>{:port}/path
  E.g.: http://www.tu-graz.ac.at/
        gopher://gopher.tu-graz.ac.at/1~anonymous
  For 'hyperg':hyperg://<host>{:port{:<binary>{:<distributed>}}}/path
               hyperg://hyperg.tu-graz.ac.at:418;0;1/~anonymous 

0.79.030 Alpha, 24.08.1994

* Amadeus can now be used to directly access a Gopher server by
  specifiying '-r gopher://<host>{:port}/1path' in the commandline
  e.g.: -r gopher://gopher.tu-graz.ac.at/1

  P.S.: this should also work with the other protocols supported in 
        the 'goto' command, but they are NOT tested so far !
  (tdieting)

* added 'CollectionHead' feature (info page describing collection)
  (tdieting)

0.79.035 Alpha, 25.08.1994

* new command 'Search/Sort Order' (tdieting)

0.80.010 Beta, 25.08.1994

* some small bugs concerning gopher-connection fixed (tdieting)
* image-save-format supports now GIF and JPEG (cprom/tdieting)
* image viewer supports now b/w images (cprom)

0.80.011 Beta, 3.09.1994

* image-save-format routines: several bugs removed (tdieting)
* Ctrl-N accelerator removed (nonsense...) (tdieting)
* crash when textviewer fonts changed whithout textviewer opened
  fixed (tdieting)

0.80.012 Beta, 7.09.1994

* Amadeus works now also with the TCPIP32 stack from Microsoft
  (tdieting)

0.80.013 Beta, 8.09.1994

* text saving supports exporting to RTF (tdieting/chuber)

0.81.001 Beta, 10.09.1994

* PCX image format supported (tdieting)
* generating of text-links should work exactly now (tdieting)
* 'SAVE' within collection browser disabled (tdieting)
* bug in the goto-command removed (prevented to go to a 
  collection) (tdieting)

0.81.002 Beta, 12.09.1994

* updated manual (mainly spelling corrections) (tdieting)
* more options in 'viewer options' (tdieting)
* history mechanism slightly changed (far from beeing perfect)
  (tdieting)

0.81.002 Beta, 16.09.1994

* bug in generic objects (since 0.81.001) removed (tdieting)

0.81.003 Beta, 23.09.1994

* some bug in the picture viewer removed (pcx, rle images) 
  (cprom)

0.81.004 Beta, 26.09.1994

* Hyper-G protocol v7.04 update (tdieting)
* Hyper-G message handling supports now ECHO_REQUEST/ECHO_REPLY
  (tdieting)
* search-button in toolbar added (tdieting)

0.81.005 Beta, 29.09.1994

* setup program should now also work with Windows95
  (thanks to Lee Fisher, leefi@microsoft.com)
  (tdieting)

0.81.006 Beta, 29.09.1994

* minor bugfix: Amadeus crashed, when it couldn't connect to
  a server, fixed (tdieting)

0.81.007 Beta, 06.10.1994

* goto-command input line allows now auto-scroll to support
  input of longer URLs (tdieting)

0.81.008 Beta, 06.10.1994

* gopher collection type '11' in addition to '1' supported
  (tdieting)

0.81.009 Beta, 06.10.1994

* changing Hyper-G object attributes with different languages
  (like titles) didn't work, bug removed (tdieting)

0.81.010 Beta, 06.10.1994

* Amadeus adds now a slash to a http URL if no path specified
  ('http://www.tu-graz.ac.at' becomes now 
   'http://www.tu-graz.ac.at/') (tdieting)

0.81.011 Beta, 11.10.1994

* new 'html.dtd' & 'html.sty' (tdieting)
* attributes info dlg. refused to pop up after quitting the
  dialog with ESCAPE, bug removed (tdieting)
* new text requires now a title to be specified (tdieting)
* new text does not allow to specify a non existing
  file name now (tdieting)

0.81.012 Beta, 17.10.1994

* again a bug in modifying attributes fixed (tdieting)

0.82.000 Alpha, 17-25.10.1994

* unbelieveable but true: inline images !!!!!
  (currently for Hyper-G only, WWW will follow)
  (chuber/tdieting)
* "tilevertical/horizontal - save on exit" bug fixed
  (tdieting)
* new text: inherits now only read-access rights from
  parent collection (formerly worked only when specifying
  read rights using old rights-attribute style: 
  "r: xxx | w: xxx" in comparison to "r: xxx; w: yyy"
  (tdieting)
* added possibility to specify link type "inline"
  whith "Edit/Make Link" (tdieting)
* bug fixed: could not connect to other protocols than
  Hyper-G after a Hyper-G connection was established.
  (tdieting)
* textviewer: you can now select a link with TAB and
  Shift-TAB (tdieting)

0.82.001 Alpha, 02.11.1994

* bug fix: Http/1.0 didn't work with PC based WWW
  servers (CrLf - problem) (tdieting)
* toolbar-tips (like in Word 6.0) added (tdieting)
* new Win32s 1.2 (tdieting)
* new 'ctl3d32.dll'
* bug fix: attempt to modify a previously deleted
  document resulted in a crash (tdieting)
* new disk-layout, you don't need disk 1 any longer
  if you have already installed Win32s (or don't
  need it at all) on your system, start 'setup2.exe'
  on disk 2 instead.

0.82.002 Alpha, 02.11.1994

* bug fix in text viewer: text didn't reformat after
  1st resizing. (tdieting)
* fatal bug in loading images fixed (tdieting)
* minor bug fix: when selecting a link with 
  (Back-)Tab, textviewer didn't scroll correctly
  (tdieting)

0.82.003 Alpha, 03.11.1994

* inline images are now clickable (for following
  links) (tdieting)
* workaround with some serious bugs in the
  text viewer (tdieting)
  (Note: a completely new text-viewer concept is
   under development by chuber, needed for forms)

0.82.005 Alpha, 09.11.1994

* selection bug when using Win32s due to a error
  in the documention (claims that a certain
  function is suported under Win32s, but is
  definitely NOT @#$(! ), corrected (tdieting)
* prevent jumping text due to formatting of the
  whole text after inline loading.
  Now the text is only formatted AFTER the load
  of the last inline image ! (tdieting)

0.82.006 Alpha, 10.11.1994

* bug fix: selecting of files to upload (File/New..)
  that were NOT in the current directory didn't work
  under Win32s (only Windows NT) (tdieting)
* Amadeus Server installation prepared 
  ([Amadeus]/HomeDir=), should be possible to leave
  Amadeus binaries on a file server, while the ini 
  file is stored locally. A setup extension for
  these capabilities will be available in one of
  the next releases. (tdieting)

0.82.007 Alpha, 11.11.1994

* bug fix: in the collection browser icons for 
  remote connection didn't display correctly 
  sometimes (tdieting)

0.82.008 Alpha, 14-18.11.1994

* 'connection closed by server' should not occur
  any longer (thanks to jfasch) (tdieting)
* graphics library uses now WinG on demand (cprom)
* some corrections in graphics library (tdieting)
* new Hyper-G protocol library used 
  (lib v1.09, protocol v706) (tdieting)
* HMcard runtime version removed from setup -
  will be distributed seperately (cprom)
* setup option prepared: setup on fileserver
  (Does not work correctly yet !) (cprom)

!! Known bug: !!
The WinG-library does NOT work correctly with older
16 bit S3 graphic drivers !!!:
=> Windows crashes when Amadeus is started the first
time and the WinG initialization test is performed !
If you reboot Windows WinG detects the problem and
suggests not to perform this test any more - but
graphic performance will be affected !
So best would be to upgrade to the new S3 driver !

0.82.010 Alpha, 2.12.1994

* new info message added: 'Licence expired',
  especially for 'Meyers Lexikon' (tdieting)
* fileserver setup now working (cprom)

0.82.011 Alpha, 7-20.12.1994

* bug fix in image viewer: crashed when enlarging
  images on true/hi color displays. (cprom)
* changed color palette in image viewer (for 256
  color displays) (cprom)
* change password does not allow to change to
  empty password now (tdieting)

* bug in html.sty corrected (prevented links
  in html documents) (tdieting)


0.83.000 Alpha, 16-21.1.1995
(internal release)

* numerous new features over 0.82,
  too many to mention all.
  The most important:
  * new object orientated text viewer 
    (chuber, tdieting)
  * WWW over Hyper-G proxy with inline images
    (tdieting)
  * true Windows 95 application (Visual C++ 2.0
    compiler usage) (tdieting)


0.83.001 Beta, 22.1 1995

* some smaller bugs fixed (all tdieting)


0.84.002 Beta, 14.2 1995

* PostScript Viewer added (gorasche)
* minor TextViewer enhancements and many
  bug fixes:
    * correct new-line handling
    * left/center/right tag interpretation
    * better html support (with few NetScape 
      and HTML 2.0/+ extensions)
  (chuber/tdieting/mgais)
* image viewer bug fixes (crash when zooming too
  much) (cprom)
* many bugs concerning the file chooser and
  saving of RTF-texts fixed (tdieting)
* minor GUI redesign (tdieting/epirker)
* many smaller bugs in various moduls fixed
  (tdieting)


0.84.003 Beta, 21.2 1995

* General:

    * downloading of long documents didn't always work -
      bug fixed (tdieting)
    * uploading of long text documents works now (tdieting)
    * stop-button should now work in most cases (tdieting)

* Image Viewer:

    * fancy white colors bug fixed (cprom)
    * displaying of images on 16 colors displays should
      now work (no 'error on loading image' message) (cprom)
    * better handling of transparent GIFs (now transparency
      only in inline images !) (cprom)

* Text Viewer:

    * example text now displayed correctly (chuber)
    * some minor bugs removed (chuber)

* PostScript Viewer:

    * 'long filename bug' fixed (every postscript document
       should be now displayable) (gorasche)
    * 'save as' implemented (gorasche)
    * printing prepared, but currently disabled due to not enough
      testing (gorasche)
    * many bug fixes (gorasche)
    * installation program bug fixed (only custom installation worked
      for PostScript Viewer) (cprom)

* RTF->HTF:

    * better rendering and skipping of senseless tags (gmesaric)

* Known bugs:

    * setup2 on disk2 doesn't work any longer in conjunction with
      the PostScript viewer

0.84.004 Beta, 3.3 1995

* bug fixes:
    * generic documents: application launch didn't work any more
      fixed (tdieting)
    * crash on index-command, gopher-texts, and certain www pages
      fixed (tdieting)
    * several fixes in the PostScript viewer (gorasche)

* progress bar added


0.84.005 Beta, 6.3 1995

* bug fixes:
    * annotations should work now (tdieting)

0.84.008 Beta, 10.3 1995

* bug fixes:
    * inserting RTF-documents in the database should now
      work more then one time ! (gmesaric, tdieting)

0.85.000 Beta, 10.3 1995

* new features:
    * image viewer supports links now ! (cprom, tdieting)
    * text viewer supports deleting of links now (tdieting)

* bug fixes:
    * text viewer: selecting links should work now again
      (tdieting)

0.85.001 Beta, 22.3 1995

* new features:
    * postscript viewer supports links now ! (gorasche, tdieting)

* bug fixes:
    * setup2 supports postscript viewer now ! (cprom)

0.85.002 Beta, 25.3 1995

* workaround so that Amadeus works with the final Windows 95 Beta
  (The 'Final Beta') (tdieting)
* bug fix: wrong message 'you must specifiy a creation time' 
  when inserting objects in the database removed (tdieting)

0.86.000 Beta, 11.4 1995

* added possibility to upload a faulty RTF text in TXT format
  to prevent loosing the writing completley. (tdieting)
* new Win32s 1.25
* added save-feature for collections browser (dumps out attribute 
  information - only for internal use?) (tdieting)
* new HTF.DTD and HTF.STY (mgais, tdieting)
* cursor added in text viewer (chuber, tdieting)
* seen links modified in text viewer (tdieting)
* VERBATIM HTF-tags work better now (tdieting)
* bug fix: find in text works now (chuber)
* bug fix: printing of postscript documents works now (gorasche)
* bug fix: help support works under file server setup (tdieting)
* bug fix: destination anchors work in HTF texts (tdieting)
